<table class="table table-striped">
    <thead>
        <tr>
            <th colspan="2">
                <h2><%= @stock.name %></h2>
            </th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>Balance</td>
            <td>
                <div class="d-flex justify-content-between align-items-center">
                    <div class="p-2 fw-bold">
                        Rp <%= format_amount @stock.wallet.get_balance %>
                    </div>
                    <div class="p-2">
                        <%= link_to(wallet_path(@stock.wallet), class: 'btn btn-primary') do %>
                            <i class="fas fa-wallet nav-icon"></i>
                            Open Wallet
                        <% end %>
                    </div>
                </div>
            </td>
        </tr>
        <tr>
            <td>Individual Investors</td>
            <td>
                <ul class="list-group list-group-flush">
                    <% @stock.users.each do |i| %>
                    <li class="list-group-item d-flex justify-content-between align-items-start bg-transparent">
                        <div class="ms-2 me-auto">
                            <div class="fw-bold"><%= i.name %></div>
                            (Rp <%= format_amount i.getStockShareBalance(@stock) %>)
                        </div>
                    </li>
                    <% end %>
                </ul>
            </td>
        </tr>
        <tr>
            <td>Team Investors</td>
            <td>
                <ul class="list-group list-group-flush">
                    <% @stock.teams.each do |i| %>
                    <li class="list-group-item d-flex justify-content-between align-items-start bg-transparent">
                        <div class="ms-2 me-auto">
                            <div class="fw-bold"><%= i.name %></div>
                            (Rp <%= format_amount i.getStockShareBalance(@stock) %>)
                        </div>
                    </li>
                    <% end %>
                </ul>
            </td>
        </tr>
    </tbody>
</table>

<div>
    <%= link_to stocks_path, class: "btn btn-secondary" do %>
        <i class="fas fa-arrow-circle-left"></i>
        Back
    <% end %>
    <%= link_to edit_stock_path(@stock), class: "btn btn-warning" do %>
        <i class="fas fa-edit"></i>
        Edit
    <% end %>
</div>